Traverse graph
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"starting_node_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"direction": "outgoing",
"max_depth": 1,
"max_nodes": 200,
"max_edges": 500,
"node_property_filters": [],
"edge_property_filters": [],
"node_types": [
"<string>"
],
"edge_types": [
"<string>"
]
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse"
payload = {
"starting_node_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"direction": "outgoing",
"max_depth": 1,
"max_nodes": 200,
"max_edges": 500,
"node_property_filters": [],
"edge_property_filters": [],
"node_types": ["<string>"],
"edge_types": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
starting_node_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
direction: 'outgoing',
max_depth: 1,
max_nodes: 200,
max_edges: 500,
node_property_filters: [],
edge_property_filters: [],
node_types: ['<string>'],
edge_types: ['<string>']
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'starting_node_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'direction' => 'outgoing',
'max_depth' => 1,
'max_nodes' => 200,
'max_edges' => 500,
'node_property_filters' => [
],
'edge_property_filters' => [
],
'node_types' => [
'<string>'
],
'edge_types' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse"
payload := strings.NewReader("{\n \"starting_node_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"direction\": \"outgoing\",\n \"max_depth\": 1,\n \"max_nodes\": 200,\n \"max_edges\": 500,\n \"node_property_filters\": [],\n \"edge_property_filters\": [],\n \"node_types\": [\n \"<string>\"\n ],\n \"edge_types\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"starting_node_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"direction\": \"outgoing\",\n \"max_depth\": 1,\n \"max_nodes\": 200,\n \"max_edges\": 500,\n \"node_property_filters\": [],\n \"edge_property_filters\": [],\n \"node_types\": [\n \"<string>\"\n ],\n \"edge_types\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"starting_node_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"direction\": \"outgoing\",\n \"max_depth\": 1,\n \"max_nodes\": 200,\n \"max_edges\": 500,\n \"node_property_filters\": [],\n \"edge_property_filters\": [],\n \"node_types\": [\n \"<string>\"\n ],\n \"edge_types\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"starting_node_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"description": "<string>",
"properties": {},
"revision": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"edges": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"properties": {},
"revision": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"max_depth_reached": 4503599627370495,
"truncated": true,
"truncation_reason": "node_budget"
}
}Graph
Traverse graph
Walk the project graph from given nodes along typed edges.
Traverse graph
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"starting_node_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"direction": "outgoing",
"max_depth": 1,
"max_nodes": 200,
"max_edges": 500,
"node_property_filters": [],
"edge_property_filters": [],
"node_types": [
"<string>"
],
"edge_types": [
"<string>"
]
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse"
payload = {
"starting_node_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"direction": "outgoing",
"max_depth": 1,
"max_nodes": 200,
"max_edges": 500,
"node_property_filters": [],
"edge_property_filters": [],
"node_types": ["<string>"],
"edge_types": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
starting_node_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
direction: 'outgoing',
max_depth: 1,
max_nodes: 200,
max_edges: 500,
node_property_filters: [],
edge_property_filters: [],
node_types: ['<string>'],
edge_types: ['<string>']
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'starting_node_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'direction' => 'outgoing',
'max_depth' => 1,
'max_nodes' => 200,
'max_edges' => 500,
'node_property_filters' => [
],
'edge_property_filters' => [
],
'node_types' => [
'<string>'
],
'edge_types' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse"
payload := strings.NewReader("{\n \"starting_node_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"direction\": \"outgoing\",\n \"max_depth\": 1,\n \"max_nodes\": 200,\n \"max_edges\": 500,\n \"node_property_filters\": [],\n \"edge_property_filters\": [],\n \"node_types\": [\n \"<string>\"\n ],\n \"edge_types\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"starting_node_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"direction\": \"outgoing\",\n \"max_depth\": 1,\n \"max_nodes\": 200,\n \"max_edges\": 500,\n \"node_property_filters\": [],\n \"edge_property_filters\": [],\n \"node_types\": [\n \"<string>\"\n ],\n \"edge_types\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/graph/traverse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"starting_node_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"direction\": \"outgoing\",\n \"max_depth\": 1,\n \"max_nodes\": 200,\n \"max_edges\": 500,\n \"node_property_filters\": [],\n \"edge_property_filters\": [],\n \"node_types\": [\n \"<string>\"\n ],\n \"edge_types\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"starting_node_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"description": "<string>",
"properties": {},
"revision": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"edges": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"properties": {},
"revision": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"max_depth_reached": 4503599627370495,
"truncated": true,
"truncation_reason": "node_budget"
}
}Operation ID:
http.graph.traverse
POST /v1/orgs/{org}/projects/{project}/graph/traverse
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required array length:
1 - 50 elementsPattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
outgoing, incoming, both Required range:
1 <= x <= 6Required range:
1 <= x <= 1000Required range:
1 <= x <= 1000Maximum array length:
8- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Maximum array length:
8- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Required array length:
1 - 50 elementsRequired string length:
1 - 256Required array length:
1 - 50 elementsRequired string length:
1 - 256Response
2XX - application/json
Success.
Show child attributes
Show child attributes